Bug 1389562 - beaker-create-ipxe-image does not save the image on disk when using --no-upload
Summary: beaker-create-ipxe-image does not save the image on disk when using --no-upload
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general   
(Show other bugs)
Version: develop
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.0
Assignee: matt jia
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-27 22:13 UTC by matt jia
Modified: 2017-02-21 18:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-21 18:50:11 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description matt jia 2016-10-27 22:13:19 UTC
Description of problem:

beaker-create-ipxe-image  --no-upload does not leave the image temp file on disk.


Version-Release number of selected component (if applicable):

23

How reproducible:

Always

Steps to Reproduce:
1. run `beaker-create-ipxe-image  --no-upload`
2. check the image temp file on disk

Actual results:

the image temp file is not on the disk

Expected results:

the image temp file should be on the disk for debugging purpose.

Comment 1 matt jia 2016-10-28 04:48:30 UTC
On Gerrit:

   https://gerrit.beaker-project.org/#/c/5371/

Comment 2 Dan Callaghan 2016-11-07 06:56:19 UTC
This bug fix is included in beaker-server-24.0-0.git.194.c515848 which is currently available for download here:

https://beaker-project.org/nightlies/develop/

Comment 4 Dan Callaghan 2017-02-21 18:50:11 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.